> For the complete documentation index, see [llms.txt](https://docs.skeddly.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.skeddly.com/data-types/googleserviceaccountkeyparameters-object.md).

# GoogleServiceAccountKeyParameters Object

## Description

Specifies parameters for a Google Cloud Provider service account key.

## Properties

### activeProjectId

Project ID of the Google project containing the resources that will be accesses. This value is specified only if the active project is different than the Google project containing the service account key.

Type: `string`

Required: No

### clientEmail

Client email of the service account key. This value can be found in the service account key JSON file downloaded from your Google Cloud Platform project.

Type: `string`

Required: Yes

### clientId

Client ID of the service account key. This value can be found in the service account key JSON file downloaded from your Google Cloud Platform project.

Type: `string`

Required: Yes

### privateKey

Private key of the service account key. This value can be found in the service account key JSON file downloaded from your Google Cloud Platform project.

Type: `string`

Required: Yes

### projectId

The project ID of the Google project containing the service account key. This value can be found in the service account key JSON file downloaded from your Google Cloud Platform project.

Type: `string`

Required: Required

## Sample JSON

```javascript
{
    "projectId": "blue-danube-123456",
    "clientId": "1234567890",
    "clientEmail": "skeddly@blue-danube-123456.iam.gserviceaccount.com",
    "privateKey": "1234567890",
    "activeProjectId": "black-door-123456"
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.skeddly.com/data-types/googleserviceaccountkeyparameters-object.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
